MoreLabels.Hashtbl.Make(3o)

NAME
MoreLabels.Hashtbl.Make - Functor building an implementation of the hashtable structure.

Module
Module MoreLabels.Hashtbl.Make

Documentation

Module Make
 : (H : HashedType) -> sig end

Functor building an implementation of the hashtable structure. The functor Hashtbl.Make returns a structure containing a type key of keys and a type 'a t of hash tables associating data of type 'a to keys of type key . The operations perform similarly to those of the generic interface, but use the hashing and equality functions specified in the functor argument H instead of generic equality and hashing. Since the hash function is not seeded, the create operation of the result structure always returns non-randomized hash tables.

Parameters:

"H"

MoreLabels.Hashtbl.HashedType

type key

type !'a t

val create : int -> 'a t

val clear : 'a t -> unit

val reset : 'a t -> unit

Since 4.00

val copy : 'a t -> 'a t

val add : 'a t -> key:key -> data:'a -> unit

val remove : 'a t -> key -> unit

val find : 'a t -> key -> 'a

val find_opt : 'a t -> key -> 'a option

Since 4.05

val find_all : 'a t -> key -> 'a list

val replace : 'a t -> key:key -> data:'a -> unit

val mem : 'a t -> key -> bool

val iter : f:(key:key -> data:'a -> unit) -> 'a t -> unit

val filter_map_inplace : f:(key:key -> data:'a -> 'a option) -> 'a t -> unit

Since 4.03

val fold : f:(key:key -> data:'a -> 'acc -> 'acc) -> 'a t -> init:'acc -> 'acc

val length : 'a t -> int

val stats : 'a t -> MoreLabels.Hashtbl.statistics

Since 4.00

val to_seq : 'a t -> (key * 'a) Seq.t

Since 4.07

val to_seq_keys : 'a t -> key Seq.t

Since 4.07

val to_seq_values : 'a t -> 'a Seq.t

Since 4.07

val add_seq : 'a t -> (key * 'a) Seq.t -> unit

Since 4.07

val replace_seq : 'a t -> (key * 'a) Seq.t -> unit

Since 4.07

val of_seq : (key * 'a) Seq.t -> 'a t

Since 4.07